> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v2/assurance/topology-inventory ## OpenAPI ````json POST /v2/assurance/topology-inventory { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v2/assurance/topology-inventory": { "post": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v2AssuranceTopologyInventoryPostRequest" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v2AssuranceTopologyInventoryPostResponse" } } } } } } } }, "components": { "schemas": { "v2AssuranceTopologyInventoryPostRequest": { "type": "object", "properties": { "bucketId": { "type": "string", "example": "ENUM_VALUE" }, "timeWindow": { "$ref": "#/components/schemas/assuranceTimeWindow" }, "topologyType": { "type": "string", "example": "ENUM_VALUE" } }, "additionalProperties": false }, "v2AssuranceTopologyInventoryPostResponse": { "type": "object", "properties": { "appNames": { "type": "array", "items": { "type": "string", "example": "example string" } }, "clientSites": { "type": "array", "items": { "$ref": "#/components/schemas/assuranceSite" } }, "regions": { "type": "array", "items": { "$ref": "#/components/schemas/assuranceRegion" } }, "serverSites": { "type": "array", "items": { "$ref": "#/components/schemas/assuranceSite" } }, "topologyChangeTs": { "type": "array", "items": { "$ref": "#/components/schemas/googleProtobufTimestamp" } } }, "additionalProperties": false }, "assuranceTimeWindow": { "type": "object", "properties": { "bucketSizeSec": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "oldTs": { "$ref": "#/components/schemas/googleProtobufTimestamp" }, "recentTs": { "$ref": "#/components/schemas/googleProtobufTimestamp" } }, "additionalProperties": false }, "assuranceSite": { "type": "object", "properties": { "regionId": { "type": "integer", "format": "int32", "example": 123 }, "siteEnterpriseName": { "type": "string", "example": "example string" }, "siteId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "siteName": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "assuranceRegion": { "type": "object", "properties": { "regionId": { "type": "integer", "format": "int32", "example": 123 }, "regionIsoCode": { "type": "string", "example": "example string" }, "regionName": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "googleProtobufTimestamp": { "type": "object", "properties": { "nanos": { "type": "integer", "format": "int32", "example": 123 }, "seconds": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````